--
-- IHC 1455 XL
-- Spezialization um Hilfe ein- bzw. ausblenden zu knnen
-- 
--
-- Author  Friedrich L.  -  Skullman
-- Date 18. Dezember 2010
-- Web www.modding-society.de
--
-- Copyright (c) Friedrich L. - All Rights Reserved.
--

ShowHelp = {};

function ShowHelp.prerequisitesPresent(specializations)
    return SpecializationUtil.hasSpecialization(Motorized, specializations);
end;

function ShowHelp:load(xmlFile)
	self.showHelp = false;
end;

function ShowHelp:delete()
end;

function ShowHelp:mouseEvent(posX, posY, isDown, isUp, button)
end;

function ShowHelp:keyEvent(unicode, sym, modifier, isDown)
end;

function ShowHelp:update(dt)
	if self:getIsActiveForInput() then
		if InputBinding.hasEvent(InputBinding.TOGGLE_SHOW_HELP) then
			self.showHelp = not self.showHelp;
		end;
	end;
end;



function ShowHelp:updateTick(dt)
end;


function ShowHelp:draw()
	if not self.showHelp then
		renderText(0.77, 0.24, 0.02, "0: Informacija");
	 else
		renderText(0.77, 0.24, 0.02, "0: Informacija");
		renderText(0.72, 0.81, 0.025, "-- Belarus 1220 --");			
		renderText(0.72, 0.78, 0.02, "M: Uzuolaidos");			
		renderText(0.72, 0.76, 0.02, "F: Sviesos");
		renderText(0.72, 0.74, 0.02, "NUM_4: Kairiosios durys");
		renderText(0.72, 0.72, 0.02, "NUM_5: Desiniosios durys");
		renderText(0.72, 0.70, 0.02, "NUM_7: Kairysis soninis langas");
		renderText(0.72, 0.68, 0.02, "NUM_9: Desinysis soninis langas");
		renderText(0.72, 0.66, 0.02, "NUM_8: Galinis langas");
		renderText(0.72, 0.64, 0.02, "NP_6: Galines sviesos");
		renderText(0.72, 0.62, 0.02, "NP_5: Priekines sviesos(papildomos)");
    		renderText(0.72, 0.48, 0.02, "Edit: Gedis141");


	end;
end;

function ShowHelp:onLeave()
	self.showHelp = false;
end;